Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
galaxy-dev logging task_id=None
pulp-api_1 | 2019-10-14 16:14:37,672| pulp_ansible.app.viewsets viewsets:create:241 35 140316782884608 DEBUG| create request: <rest_framework.request.Request object at 0x7f9e10561b70>
pulp-api_1 | 2019-10-14 16:14:42,815| pulp_ansible.app.viewsets viewsets:create:265 35 140316782884608 DEBUG| async_result: <Job 3f331856-f3cd-4c3e-895e-a48ed2940790: None>
pulp-api_1 | 2019-10-14 16:14:42,817| pulp_ansible.app.viewsets viewsets:create:267 35 140316782884608 DEBUG| created CollectionImport task_id=3f331856-f3cd-4c3e-895e-a48ed2940790
pulp-resource-manager_1 | 16:14:42 resource-manager: pulpcore.tasking.tasks._queue_reserved_task(<function import_collection at 0x7f9e11708a60>, '3f331856-f3cd-4c3e-895e-a48ed2940790', ['621a7049-1e29-4c8c-ba83-1ad008d113b1'], (), {'artifact_pk': UUID('621a7049-1e29-4c8c-ba83-1ad008d113b1')}, {}) (a0c28603-6659-4aab-b655-8ed5d2332469)
pulp-worker_1 | 16:14:42 reserved-resource-worker@bbe17d306b52: pulp_ansible.app.tasks.collections.import_collection(artifact_pk=UUID('621a7049-1e29-4c8c-ba83-1ad008d113b1')) (3f331856-f3cd-4c3e-895e-a48ed2940790)
pulp-resource-manager_1 | 16:14:42 resource-manager: Job OK (a0c28603-6659-4aab-b655-8ed5d2332469)
pulp-worker_1 | 2019-10-14 16:14:42,926| pulp_ansible.app.tasks.collections collections:import_collection:126 36 139991184262976 INFO| Processing collection from artifact/70/86a3402553e1f8c9112cfeb24de94606a127c47253c2430cb19032e1ea21a3
galaxy-api_1 | DEBUG 2019-10-14 16:14:43,081 galaxy_api.api.v3.viewsets viewsets:post:158 20 139632769722112 task_detail: {'created_at': None,
galaxy-api_1 | 'error': None,
galaxy-api_1 | 'finished_at': None,
galaxy-api_1 | 'id': None,
galaxy-api_1 | 'messages': None,
galaxy-api_1 | 'started_at': datetime.datetime(2019, 10, 14, 16, 14, 42, 899707, tzinfo=tzlocal()),
galaxy-api_1 | 'state': 'running',
galaxy-api_1 | 'updated_at': None}
galaxy-api_1 | DEBUG 2019-10-14 16:14:43,082 galaxy_api.api.v3.viewsets viewsets:post:159 20 139632769722112 task_detail.__dict__ {'_created_at': None,
galaxy-api_1 | '_error': None,
galaxy-api_1 | '_finished_at': None,
galaxy-api_1 | '_id': None,
galaxy-api_1 | '_messages': None,
galaxy-api_1 | '_started_at': datetime.datetime(2019, 10, 14, 16, 14, 42, 899707, tzinfo=tzlocal()),
galaxy-api_1 | '_state': 'running',
galaxy-api_1 | '_updated_at': None,
galaxy-api_1 | 'discriminator': None}
postgres_1 | 2019-10-14 16:14:43.084 UTC [42] ERROR: null value in column "task_id" violates not-null constraint
postgres_1 | 2019-10-14 16:14:43.084 UTC [42] DETAIL: Failing row contains (null, null, collection_inspect, 0.0.60, 1).
postgres_1 | 2019-10-14 16:14:43.084 UTC [42] STATEMENT: INSERT INTO "galaxy_api_collectionimport" ("task_id", "created_at", "namespace_id", "name", "version") VALUES (NULL, NULL, 1, 'collection_inspect', '0.0.60')
galaxy-api_1 | DEBUG 2019-10-14 16:14:43,084 django.db.backends utils:execute:110 20 139632769722112 (0.001) INSERT INTO "galaxy_api_collectionimport" ("task_id", "created_at", "namespace_id", "name", "version") VALUES (NULL, NULL, 1, 'collection_inspect', '0.0.60'); args=(None, None, 1, 'collection_inspect', '0.0.60')
pulp-worker_1 | [WARNING]: log file at /root/.ansible/log/ansible.log is not writeable and we cannot create it, aborting
pulp-worker_1 |
pulp-worker_1 | Couldn't parse task at /tmp/tmpoboubakv/roles/test_collection_inspect/tasks/main.yml:3 (couldn't resolve module/action 'alikins.collection_inspect.get_collection_inspect'. This often indicates a misspelling, missing collection, or incorrect module path.
pulp-worker_1 |
pulp-worker_1 | The error appears to be in '<unicode string>': line 3, column 3, but may
pulp-worker_1 | be elsewhere in the file depending on the exact syntax problem.
pulp-worker_1 |
pulp-worker_1 | (could not open file to display line))
pulp-worker_1 | { 'alikins.collection_inspect.get_collection_inspect': { '__file__': '/tmp/tmpoboubakv/roles/test_collection_inspect/tasks/main.yml',
pulp-worker_1 | '__line__': 4,
pulp-worker_1 | 'args': None},
pulp-worker_1 | 'name': 'test module get_collection_inspect',
pulp-worker_1 | 'register': 'get_collection_inspect_results'}
pulp-worker_1 | 16:14:51 reserved-resource-worker@bbe17d306b52: Job OK (3f331856-f3cd-4c3e-895e-a48ed2940790)
pulp-worker_1 | 16:14:51 reserved-resource-worker@bbe17d306b52: pulpcore.tasking.tasks._release_resources('3f331856-f3cd-4c3e-895e-a48ed2940790') (c94f08f6-8eb4-4b94-8f9e-25c2dbb93a1d)
pulp-worker_1 | 16:14:51 reserved-resource-worker@bbe17d306b52: Job OK (c94f08f6-8eb4-4b94-8f9e-25c2dbb93a1d)
galaxy-api_1 | DEBUG 2019-10-14 16:15:23,309 django.db.backends utils:execute:110 20 139632769722112 (0.001) SELECT "galaxy_api_collectionimport"."task_id", "galaxy_api_collectionimport"."created_at", "galaxy_api_collectionimport"."namespace_id", "galaxy_api_collectionimport"."name", "galaxy_api_collectionimport"."version" FROM "galaxy_api_collectionimport" ORDER BY "galaxy_api_collectionimport"."task_id" DESC LIMIT 21; args=()
galaxy-api_1 | DEBUG 2019-10-14 16:15:23,311 django.db.backends utils:execute:110 20 139632769722112 (0.000) SELECT "galaxy_api_collectionimport"."task_id", "galaxy_api_collectionimport"."created_at", "galaxy_api_collectionimport"."namespace_id", "galaxy_api_collectionimport"."name", "galaxy_api_collectionimport"."version" FROM "galaxy_api_collectionimport" ORDER BY "galaxy_api_collectionimport"."task_id" DESC LIMIT 21; args=()
galaxy-api_1 | ERROR 2019-10-14 16:15:23,329 django.request log:log_response:228 20 139632769722112 Internal Server Error: /api/automation-hub/v3/artifacts/collections/
galaxy-api_1 | Traceback (most recent call last):
galaxy-api_1 | File "/venv/lib64/python3.6/site-packages/django/db/backends/utils.py", line 84, in _execute
galaxy-api_1 | return self.cursor.execute(sql, params)
galaxy-api_1 | psycopg2.errors.NotNullViolation: null value in column "task_id" violates not-null constraint
galaxy-api_1 | DETAIL: Failing row contains (null, null, collection_inspect, 0.0.60, 1).
galaxy-api_1 |
galaxy-api_1 |
galaxy-api_1 | The above exception was the direct cause of the following exception:
galaxy-api_1 |
galaxy-api_1 | Traceback (most recent call last):
galaxy-api_1 | File "/venv/lib64/python3.6/site-packages/django/core/handlers/exception.py", line 34, in inner
galaxy-api_1 | response = get_response(request)
galaxy-api_1 | File "/venv/lib64/python3.6/site-packages/django/core/handlers/base.py", line 115, in _get_response
galaxy-api_1 | response = self.process_exception_by_middleware(e, request)
galaxy-api_1 | File "/venv/lib64/python3.6/site-packages/django/core/handlers/base.py", line 113, in _get_response
galaxy-api_1 | response = wrapped_callback(request, *callback_args, **callback_kwargs)
galaxy-api_1 | File "/venv/lib64/python3.6/site-packages/django/views/decorators/csrf.py", line 54, in wrapped_view
galaxy-api_1 | return view_func(*args, **kwargs)
galaxy-api_1 | File "/venv/lib64/python3.6/site-packages/django/views/generic/base.py", line 71, in view
galaxy-api_1 | return self.dispatch(request, *args, **kwargs)
galaxy-api_1 | File "/venv/lib64/python3.6/site-packages/rest_framework/views.py", line 505, in dispatch
galaxy-api_1 | response = self.handle_exception(exc)
galaxy-api_1 | File "/venv/lib64/python3.6/site-packages/rest_framework/views.py", line 465, in handle_exception
galaxy-api_1 | self.raise_uncaught_exception(exc)
galaxy-api_1 | File "/venv/lib64/python3.6/site-packages/rest_framework/views.py", line 476, in raise_uncaught_exception
galaxy-api_1 | raise exc
galaxy-api_1 | File "/venv/lib64/python3.6/site-packages/rest_framework/views.py", line 502, in dispatch
galaxy-api_1 | response = handler(request, *args, **kwargs)
galaxy-api_1 | File "/code/galaxy-api/galaxy_api/api/v3/viewsets.py", line 165, in post
galaxy-api_1 | version=data['filename'].version,
galaxy-api_1 | File "/venv/lib64/python3.6/site-packages/django/db/models/manager.py", line 82, in manager_method
galaxy-api_1 | return getattr(self.get_queryset(), name)(*args, **kwargs)
galaxy-api_1 | File "/venv/lib64/python3.6/site-packages/django/db/models/query.py", line 422, in create
galaxy-api_1 | obj.save(force_insert=True, using=self.db)
galaxy-api_1 | File "/venv/lib64/python3.6/site-packages/django/db/models/base.py", line 741, in save
galaxy-api_1 | force_update=force_update, update_fields=update_fields)
galaxy-api_1 | File "/venv/lib64/python3.6/site-packages/django/db/models/base.py", line 779, in save_base
galaxy-api_1 | force_update, using, update_fields,
galaxy-api_1 | File "/venv/lib64/python3.6/site-packages/django/db/models/base.py", line 870, in _save_table
galaxy-api_1 | result = self._do_insert(cls._base_manager, using, fields, update_pk, raw)
galaxy-api_1 | File "/venv/lib64/python3.6/site-packages/django/db/models/base.py", line 908, in _do_insert
galaxy-api_1 | using=using, raw=raw)
galaxy-api_1 | File "/venv/lib64/python3.6/site-packages/django/db/models/manager.py", line 82, in manager_method
galaxy-api_1 | return getattr(self.get_queryset(), name)(*args, **kwargs)
galaxy-api_1 | File "/venv/lib64/python3.6/site-packages/django/db/models/query.py", line 1186, in _insert
galaxy-api_1 | return query.get_compiler(using=using).execute_sql(return_id)
galaxy-api_1 | File "/venv/lib64/python3.6/site-packages/django/db/models/sql/compiler.py", line 1335, in execute_sql
galaxy-api_1 | cursor.execute(sql, params)
galaxy-api_1 | File "/venv/lib64/python3.6/site-packages/django/db/backends/utils.py", line 99, in execute
galaxy-api_1 | return super().execute(sql, params)
galaxy-api_1 | File "/venv/lib64/python3.6/site-packages/django/db/backends/utils.py", line 67, in execute
galaxy-api_1 | return self._execute_with_wrappers(sql, params, many=False, executor=self._execute)
galaxy-api_1 | File "/venv/lib64/python3.6/site-packages/django/db/backends/utils.py", line 76, in _execute_with_wrappers
galaxy-api_1 | return executor(sql, params, many, context)
galaxy-api_1 | File "/venv/lib64/python3.6/site-packages/django/db/backends/utils.py", line 84, in _execute
galaxy-api_1 | return self.cursor.execute(sql, params)
galaxy-api_1 | File "/venv/lib64/python3.6/site-packages/django/db/utils.py", line 89, in __exit__
galaxy-api_1 | raise dj_exc_value.with_traceback(traceback) from exc_value
galaxy-api_1 | File "/venv/lib64/python3.6/site-packages/django/db/backends/utils.py", line 84, in _execute
galaxy-api_1 | return self.cursor.execute(sql, params)
galaxy-api_1 | django.db.utils.IntegrityError: null value in column "task_id" violates not-null constraint
galaxy-api_1 | DETAIL: Failing row contains (null, null, collection_inspect, 0.0.60, 1).
galaxy-api_1 |
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment